#!/bin/sh
#
# HighPoint ATA RAID Management Software Installation Script
#

HERE=`pwd`
##########
FREEBSDVER=`uname -r`
case $FREEBSDVER in
5.*) 
	HPTRAID=hptraid5.0
	;;
4.8*) 
	HPTRAID=hptraid4.8
	;;
4.7*) 
	HPTRAID=hptraid4.7
	;;
4.6*)
	HPTRAID=hptraid4.6
	;;
4.5*)
	HPTRAID=hptraid4.5
	;; 			
*)
	HPTRAID=hptraid4.1
	;; 
esac
#echo $HPTRAID
##########

case $1 in
-i) 
	HPTDEL=`ps -cx | grep hptraid`
	if [ "x$HPTDEL" != x ] ; then
		  echo "The software is running. Please stop it first."
		  exit 1
	fi
	if [ ! -f $HERE/hptraid.tar.gz ] ; then
		echo "Software package not found"
		exit 1
	fi

	if [ -f /usr/bin/hptraid ] ; then
		while true
		do
			echo -n "The software has been installed. Do you want reinstall it?(Y/N)"
		 	read yorn
		 	case $yorn in
		 	[yY])
		 		break
		 		;;
		 	[nN])
		 		exit 1
		 		;;
		 	*)
		 		continue
		 		;;
		 	esac
		done
		rm -f  /usr/bin/hptraid
		rm -f  /root/Desktop/hptraid
		rm -f  /usr/local/share/applnk/Applications/hptraid.*
		rm -f  /usr/X11R6/share/gnome/apps/Applications/hptraid.desktop

		rm -rf /usr/bin/res
		rm -rf /usr/share/doc/hpt/help
		rm -f  /usr/bin/hptsvr
		rm -f  /usr/bin/hptinstall.sh 

		rm -f /usr/local/bin/hpthelp
		rm -f /usr/local/bin/hptraidhelp 
		/usr/local/etc/rc.d/hptdaemon.sh stop
		rm -f  /usr/local/etc/rc.d/hptdaemon.sh
	fi
	
	cd /tmp
	tar -xzvf $HERE/hptraid.tar.gz >/dev/null
	
	cp -f  $HPTRAID  /usr/bin/hptraid
	chmod  544	/usr/bin/hptraid
	mkdir -p /root/Desktop/
	ln -s  /usr/bin/hptraid /root/Desktop/hptraid
	mkdir -p /usr/local/share/applnk/Applications
	mkdir -p /usr/X11R6/share/gnome/apps/Applications/
	mkdir -p /usr/share/doc/hpt/ >/dev/null 2>/dev/null
	cp -f hptraid.kdelnk /usr/local/share/applnk/Applications/
	cp -f hptraid.desktop /usr/X11R6/share/gnome/apps/Applications/
	
	cp -rf res		/usr/bin/
	cp -rf help 		/usr/share/doc/hpt/
	cp -f  hptsvr		/usr/bin/
	chmod  755	/usr/bin/hptsvr
	
	cp -f  $HERE/hptinstall.sh /usr/bin/

	mkdir -p /usr/local/etc/rc.d
	cp -f hptdaemon.sh /usr/local/etc/rc.d/
	chmod 555 /usr/local/etc/rc.d/hptdaemon.sh
	cp -f hptraidhelp /usr/local/bin/hptraidhelp
	chmod 544 /usr/local/bin/hptraidhelp
	if [ -f /usr/local/bin/netscape ] ; then
		ln /usr/local/bin/hptraidhelp /usr/local/bin/hpthelp
	elif [ -f /usr/X11R6/bin/mozilla ] ; then
		ln /usr/local/bin/hptraidhelp /usr/local/bin/hpthelp
	elif [ -f /usr/local/bin/mozilla ] ; then
		ln /usr/local/bin/hptraidhelp /usr/local/bin/hpthelp
	else 
		echo "Warning: Can not find a HTML browser."
		echo "To view help, please make the symbol link /usr/bin/hpthelp to"
		echo "your browser manually."
	fi

	rm -f  hptraid.desktop
	rm -f  hptraid.kdelnk
	rm -f  hptraid*	      
	rm -f  hptsvr
	rm -rf res
	rm -rf help
	rm -f  hptdaemon.sh
	rm -f  hptraidhelp

	/usr/local/etc/rc.d/hptdaemon.sh start
	echo "HighPoint ATA RAID Management Software has been installed successfully!"
	cd $HERE
	;;

-u)
	HPTDEL=`ps -cx | grep hptraid`
	if [ "x$HPTDEL" != x ] ; then
		  echo "The software is running. Please stop it first."
		  exit 1
	fi
	if [ -f /usr/bin/hptraid ] ; then
		while true
		do
			echo -n "Are you sure to uninstall HighPoint ATA RAID Management Software?(Y/N)"
			read yesorno
			case $yesorno in
			[yY])
				rm -rf /usr/bin/hptraid
				rm -rf /usr/bin/res
				rm -rf /usr/share/doc/hpt/help
				rm -f  /usr/bin/hptsvr
				rm -f  /usr/bin/hptinstall.sh	 
	
				rm -f  /usr/local/share/applnk/Applications/hptraid.*
				rm -f  /usr/X11R6/share/gnome/apps/Applications/hptraid.desktop
				rm -f  /root/Desktop/hptraid
				
				rm -f /usr/local/bin/hpthelp
				rm -f /usr/local/bin/hptraidhelp
				/usr/local/etc/rc.d/hptdaemon.sh stop
				rm -f  /usr/local/etc/rc.d/hptdaemon.sh
				
				echo "Uninstall fininshed!" 
				break
				;;
			[nN])
				break
				;;
			*)
				continue
				;;
			esac
		done 
	fi	
    ;;
*)
	echo "Usage: hptinstall.sh { -i | -u }"
	exit 1
	;; 
esac
exit 0
